MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025138Community[OCCT] OCCT:Modeling Algorithmspublic2014-08-11 17:232016-12-09 16:38
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformLinux 64-bitOSDebianOS Version7.5
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025138: SIGSEGV when sweeping along helix
Descriptionsweeping of a 2d triangle along a helix causes a SIGSEGV
Steps To Reproducesee attached DRAWEXE script with shapes.

functions used:
mksweep spine
setsweep -CF
addsweep profile
buildsweep Sweep -C
Additional information
and documentation updates
OCCT Version used hash 576f8b1 (2014-07-31)

in our product
    #0 0x00007fff8c61cdc6 in TopoDS_Shape::ShapeType (this=0x4109e38)
        at occt/inc/TopoDS_Shape.lxx:132
    0000001 0x00007fff8504e085 in BRepFill_Sweep::BuildShell (this=0x7fffffffaba0,
        IFirst=1, ILast=2, ReversedEdges=..., Tapes=..., Rails=..., ExtendFirst=0,
        ExtendLast=0)
        at occt/src/BRepFill/BRepFill_Sweep.cxx:2592
    0000002 0x00007fff8504f6e0 in BRepFill_Sweep::Build (this=0x7fffffffaba0,
        ReversedEdges=..., Tapes=..., Rails=..., Transition=BRepFill_Right,
        Continuity=GeomAbs_C2, Approx=GeomFill_Location, Degmax=11, Segmax=30)
        at occt/src/BRepFill/BRepFill_Sweep.cxx:2733
    #3 0x00007fff85035ff2 in BRepFill_PipeShell::Build (this=0x60323f0)
        at occt/src/BRepFill/BRepFill_PipeShell.cxx:769
    #4 0x00007fff7ee32848 in BRepOffsetAPI_MakePipeShell::Build (this=
        0x7fffffffae10)
        at occt/src/BRepOffsetAPI/BRepOffsetAPI_MakePipeShell.cxx:258

in DRAWEXE
An exception was caught 0x7f690c3a01d1 : OSD_SIGSEGV: SIGSEGV 'segmentation violation' detected. Address 0
** Exception ** 0x7f690c3a01d1 : OSD_SIGSEGV: SIGSEGV 'segmentation violation' detected. Address 0
TagsNo tags attached.
Test case numberbugs modalg_6 bug25138
Attached Fileszip file icon sweep-noga2.zip (41,594 bytes) 2014-08-11 17:23

- Relationships

-  Notes
(0030659)
shoogen (reporter)
2014-08-11 17:36

original bug report: http://forum.freecadweb.org/viewtopic.php?f=3&t=7304 [^]
(0030660)
shoogen (reporter)
2014-08-11 18:01

The result of the sweep would be non-mainfold. (The pitch of the helix matches the height of the triangle).
Therefore the problem is that the function does not fail gracefully (throwing a meaningfull exception). Instead it crashes.
Thanks ickby
(0030665)
shoogen (reporter)
2014-08-11 20:28
edited on: 2014-08-11 20:28

other users speculate that it could be related to 0023314

(0056817)
apv (tester)
2016-08-18 10:22

It seems, problem is not reproduced on current master.
(0057769)
git (administrator)
2016-09-14 12:20

Branch CR25138 has been created by inv.

SHA-1: ed834a493dbe5aad53e243f91c774085569513b7


Detailed log of new commits:

Author: bugmaster
Date: Wed Sep 14 12:20:37 2016 +0300

    0025138: SIGSEGV when sweeping along helix
    
    Adding test case
(0057770)
bugmaster (administrator)
2016-09-14 12:22

Test case was added for issue.
Result of executing is OK.
(0057779)
git (administrator)
2016-09-14 14:21

Branch CR25138 has been updated forcibly by inv.

SHA-1: c817def3e224dab5be5510f0fa5e1b7668829873
(0059488)
git (administrator)
2016-10-28 21:44

Branch CR25138 has been deleted by kgv.

SHA-1: c817def3e224dab5be5510f0fa5e1b7668829873

- Related Changesets
occt: master d0aafb06
Timestamp: 2016-09-14 09:20:37
Author: bugmaster
Details ] Diff ]
0025138: SIGSEGV when sweeping along helix

Adding test case
add - tests/bugs/modalg_6/bug25138 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-11 17:23 shoogen New Issue
2014-08-11 17:23 shoogen Assigned To => ifv
2014-08-11 17:23 shoogen File Added: sweep-noga2.zip
2014-08-11 17:36 shoogen Note Added: 0030659
2014-08-11 18:01 shoogen Note Added: 0030660
2014-08-11 20:28 shoogen Note Added: 0030665
2014-08-11 20:28 shoogen Note Edited: 0030665 View Revisions
2014-08-11 20:57 abv Target Version => 6.8.0
2014-09-26 14:27 abv Target Version 6.8.0 => 7.1.0
2016-08-18 10:22 apv Note Added: 0056817
2016-08-18 10:22 apv Assigned To ifv => apv
2016-08-18 10:22 apv Status new => feedback
2016-09-14 12:20 git Note Added: 0057769
2016-09-14 12:21 bugmaster Test case number => bugs modalg_6 bug25138
2016-09-14 12:22 bugmaster Note Added: 0057770
2016-09-14 12:22 bugmaster Assigned To apv => bugmaster
2016-09-14 12:22 bugmaster Status feedback => tested
2016-09-14 14:21 git Note Added: 0057779
2016-09-16 09:43 bugmaster Changeset attached => occt master d0aafb06
2016-09-16 09:43 bugmaster Status tested => verified
2016-09-16 09:43 bugmaster Resolution open => fixed
2016-10-28 21:44 git Note Added: 0059488
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker